
From: Zachary Amsden <zach@vmware.com>

This code is quite dead.  Release_thread is always guaranteed that the mm has
already been released, thus dead_task->mm will always be NULL.

Signed-off-by: Zachary Amsden <zach@vmware.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/process.c |   12 +-----------
 1 files changed, 1 insertion(+), 11 deletions(-)

diff -puN arch/i386/kernel/process.c~i386-virtualization-remove-some-dead-debugging-code arch/i386/kernel/process.c
--- devel/arch/i386/kernel/process.c~i386-virtualization-remove-some-dead-debugging-code	2005-08-17 18:18:19.000000000 -0700
+++ devel-akpm/arch/i386/kernel/process.c	2005-08-17 18:18:19.000000000 -0700
@@ -419,17 +419,7 @@ void flush_thread(void)
 
 void release_thread(struct task_struct *dead_task)
 {
-	if (dead_task->mm) {
-		// temporary debugging check
-		if (dead_task->mm->context.size) {
-			printk("WARNING: dead process %8s still has LDT? <%p/%d>\n",
-					dead_task->comm,
-					dead_task->mm->context.ldt,
-					dead_task->mm->context.size);
-			BUG();
-		}
-	}
-
+	BUG_ON(dead_task->mm);
 	release_vm86_irqs(dead_task);
 }
 
_
